import { OnInit, EventEmitter, ElementRef } from "@angular/core";
import { DateObj } from '../../interfaces';
import { PrivateDynamicFromService, DynamicFormService } from '../../services';
export declare class DatetextboxControllComponent implements OnInit {
    _elementRef: ElementRef;
    private _privateDynamicFromService;
    private _dynamicFormService;
    rowField: any;
    field: any;
    parentFormGroup: any;
    i: number;
    j: number;
    privateConstants: any;
    weekHead: string[];
    monthList: string[];
    currentYear: number;
    currentMonth: number;
    currentDate: number;
    displayYear: number;
    displayMonth: number;
    dateArray: Array<DateObj>;
    lastSelect: number;
    weekArray: any[];
    toggleDateTextBox: boolean;
    clickComponent: boolean;
    setValue: any;
    openDateFormat: EventEmitter<any>;
    closeDateFormat: EventEmitter<any>;
    clickInsideComponent(): void;
    clickOutsideComponent(): void;
    constructor(_elementRef: ElementRef, _privateDynamicFromService: PrivateDynamicFromService, _dynamicFormService: DynamicFormService);
    value: any;
    onChange: any;
    onTouched: any;
    ngOnInit(): void;
    showRequired(validations: any): boolean;
    toggleDate(): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    errorList(errorListObj: any, fieldObj: any): Array<string>;
    backDate(dateType?: string): void;
    forwardDate(dateType?: string): void;
    today(): void;
    createMonth(year: number, month: number): void;
    selectDay(dayArr: any, j: any): void;
}
